Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## xmltorng.framework.document.relaxng
Interface GroupPattern

All Superinterfaces:
  NonEmptyPattern, Pattern

All Known Implementing Classes:
  GroupPatternImpl

    public interface GroupPattern

extends NonEmptyPattern

Pattern class grouping "choice", "group" and "interleave" patterns.

Field Summary
`static int` | `GROUP_CHOICE_EXCLUDING_EMPTY_PATTERN`
`static int` | `GROUP_CHOICE_INCLUDING_EMPTY_PATTERN`
`static int` | `GROUP_GROUP`
`static int` | `GROUP_INTERLEAVE`

Fields inherited from interface xmltorng.framework.document.relaxng.NonEmptyPattern
`PATTERN_ATTRIBUTE, PATTERN_DATA, PATTERN_GROUP, PATTERN_LIST, PATTERN_REF, PATTERN_TEXT, PATTERN_VALUE`

Method Summary
`NonEmptyPattern` | `getChild(int index)` Return the child pattern with index `index` `0 <= index < childCount`
`int` | `getChildCount()` Return the child pattern count.
`int` | `getGroupType()` Return the group type : one of the GROUP_* constants.

Methods inherited from interface xmltorng.framework.document.relaxng.NonEmptyPattern
`canBeRepeated, getPatternType`

Methods inherited from interface xmltorng.framework.document.relaxng.Pattern
`isEmpty`

Field Detail

### GROUP_CHOICE_INCLUDING_EMPTY_PATTERN

    static final int GROUP_CHOICE_INCLUDING_EMPTY_PATTERN

See Also:
  Constant Field Values

### GROUP_CHOICE_EXCLUDING_EMPTY_PATTERN

    static final int GROUP_CHOICE_EXCLUDING_EMPTY_PATTERN

See Also:
  Constant Field Values

### GROUP_GROUP

    static final int GROUP_GROUP

See Also:
  Constant Field Values

### GROUP_INTERLEAVE

    static final int GROUP_INTERLEAVE

See Also:
  Constant Field Values

Method Detail

### getGroupType

    int getGroupType()

  Return the group type : one of the GROUP_* constants.

### getChildCount

    int getChildCount()

  Return the child pattern count. Is >= 1.

### getChild

    NonEmptyPattern getChild(int index)

  Return the child pattern with index `index` `0 <= index < childCount`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD